summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--dot_local/bin/executable_update2
1 files changed, 2 insertions, 0 deletions
diff --git a/dot_local/bin/executable_update b/dot_local/bin/executable_update
index 4cc3756..6ab440c 100644
--- a/dot_local/bin/executable_update
+++ b/dot_local/bin/executable_update
@@ -45,6 +45,7 @@ for i in "$@"; do
UPDATED=1
;;
Darwin)
+ brew update || return 1
brew upgrade -g || return 1
brew cleanup || return 1
UPDATED=1
@@ -82,6 +83,7 @@ if [ -x "$(command -v flatpak)" ]; then
fi
# Update snaps, if snap is installed
+# flatpaks are better (this is not even a hot take)
if [ -x "$(command -v snap)" ]; then
sudo snap refresh || return 1
UPDATED=1